%% Vessel Information
A_F = 500;%frontal windage area [m^2]
A_L = 1100; %lateral windage area [m^2]
L = 73.2; % over all length of the vessel [m]

%% Coordinate Frame Transformation Matrix

%% Parameters from Balchen Paper
m1 = 4 * 10^6; %[kg]
m2 = 4 * 10^7; %[kg]
m3 = 4.7 * 10^10; % [kg.m^2]
d1 = 5*10^-5; % [N/(m/s)^2]
d2 = 21*10^-5; % [N/(m/s)^2]
d3 = 1.1*10^-10; %[Nm/(rad/s)^2]
d4 = 201*10^-15; %[Nm/(m/s)^2]

d2_1 = 0;
d2_2 = 0;
d2_3 = 0;
d2_4 = 0;

%% Zero Mean Gaussian Noise
neu1 = 0;
neu2 = 0;
neu3 = 0;

neu = [neu1, neu2, neu3]';

m = [m1, m2, m3];
d = [d1, d2, d3, d4];
d2 = [d2_1, d2_2, d2_3, d2_4];


%Parameters for PID Controllers
e = [0,0];

