%hrows the wind direction in a fraction of 1, so outside you need to
%multiply by either 360 or 2*pi depending on whether you want to use
%degrees or radians.
function gamma = wind_direction(N)

gamma= zeros(1,N);


for i = 1:N
    if i <= N/4
        gamma(1,i) = 0;
    elseif i >N/4 && i <= N/2
        gamma(1,i) = 1/4;
    elseif i >N/2 && i <= 3*N/4
        gamma(1,i) = 1/2;
    else
        gamma(1,i) = 3/4;
    end
end

gamma = smooth(gamma,0.5);