function V_c = current_velocity(W_c, x)  %Receives as input the current velocities and converts them to the ship frame of reference.

R = [cos(x(3)) -sin(x(3)) 0;
    sin(x(3)) cos(x(3)) 0;
    0 0 1];

V_c = R.'*W_c;

end
