function x_next = runge_kutta(x,u, F_w, v, dt, m, d, neu)

K1 = balchen_model(x, u, F_w, v, m, d, neu);
K2 = balchen_model(x+K1.*(dt/2), u, F_w, v, m, d, neu);
K3 = balchen_model(x+K2.*(dt/2), u, F_w, v, m, d, neu);
K4 = balchen_model(x+K3.*(dt), u, F_w, v, m, d, neu);

x_next = x + (dt/6).*(K1+2.*K2+2.*K3 + K4);